<?php
class EmailPedidoListaPresente extends Pedido
{

  public function __construct($registry)
  {
    parent::__construct($registry);
    parent::getConfigMail();
  }

  public function sendTask($typeemail, $order_id, $attribute_value)
  {

    try {
      if (!$this->config->get('listapresente_status')) {
        throw new exception('O modulo lista de presente esta desabilitado. E-mail referente ao pedido: ' . $order_id . ' não enviado!');
      }

      parent::getInfosTemplateOrder($order_id);
      $this->getInfosListaPresente($order_id);

      $this->mail->setTo($this->to);//$order_info['email']
      $this->mail->setSender($this->sender);//$order_info['store_name']
      $this->mail->setSubject(html_entity_decode($this->subject, ENT_QUOTES, 'UTF-8'));
      $this->mail->setHtml(parent::getTemplate($typeemail));
      $this->mail->setText(html_entity_decode($this->text, ENT_QUOTES, 'UTF-8'));
      $this->mail->send(true);

      parent::sendAdditionalEmail($attribute_value);
    } catch(Exception $e){
      throw $e;
    }

  }

  public function getInfosListaPresente($order_id){
    $this->load->model('listapresente/listapresente');

    $itens = $this->model_listapresente_listapresente->GetItensPedido($order_id);
    if($itens){
      $this->lista = $this->model_listapresente_listapresente->getLista($itens[0]['ped_lista_id']);
      if ($this->lista) {
        $this->template->data['lista']['nome'] = $this->lista['nome'];
        $this->template->data['lista']['data'] = implode("/", array_reverse(explode("-", $this->lista['evento'])));
        $this->template->data['lista']['cliente'] = $this->lista['cliente'];
        $this->template->data['lista']['frase'] = $this->lista['frase'];
      } else {
        $this->template->data['lista']['nome'] = '---';
        $this->template->data['lista']['data'] = '---';
        $this->template->data['lista']['cliente'] = '---';
        $this->template->data['lista']['frase'] = '---';
      }
      $this->template->data['header_background_color'] = $this->config->get('wg24_header_bg_color');
    }

  }


}